Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	common interface to speech synthesis
Name:		speech-dispatcher
Version:	0.6.5
Release:	1
License:	GNU/GPL
URL:		http://www.freebsoft.org/speechd
Group:		User Interface/Speech Synthesis
Source0:	%{name}-%{version}.tar.gz
Patch0:		speech-dispatcher-destdir.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq(post,preun): /sbin/install-info
BuildRequires:  alsa-lib-devel
BuildRequires:  glibc-devel
BuildRequires:  dotconf-devel
BuildRequires:  espeak-devel
BuildRequires:  flite-devel
BuildRequires:  glib-devel
BuildRequires:  libsndfile-devel

%description
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface. 
Key features: 
Common interface to different TTS engines 
Handling concurrent synthesis requests ? requests may come assynchronously from multiple sources within an application and/or from more different applications 
Subsequent serialization, resolution of conflicts and priorities of incomming requests 
Context switching ? state is maintained for each client connection independently, event for connections from within one application 
High-level client interfaces for popular programming languages 
Common sound output handling ? audio playback is handled by Speech Dispatcher rather than the TTS engine, since most engines have limited sound output capabilities 
What is a very high level GUI library to graphics, Speech Dispatcher is to speech synthesis. The application neither needs to talk to the devices directly nor to handle concurrent access, sound output and other tricky aspects of the speech subsystem. 


%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package python
Summary:        %{name} python bindings.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description python
Python bindings for %{name}.


%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi


%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--enable-shared 
make


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=%_prefix sysconfdir=%_sysconfdir DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_libdir/*.so.*
%_libdir/speech-dispatcher/*.so.*
%_libdir/speech-dispatcher-modules
%_infodir
%exclude %_infodir/dir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/speech-dispatcher/*.so
%_libdir/speech-dispatcher/*.a
%_libdir/speech-dispatcher/*.la


%files python
%defattr(-,root,root)
%_libdir/python2.5

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.5-1
- Initial Release
